# AsciiEncoder class

This class converts strings of only ASCII characters to bytes.

Inheritance
  - Object
  - StreamTransformerBase<String, List<int>>
  - Converter<String, List<int>>
  - AsciiEncoder

## Constructors

AsciiEncoder()
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

bind(Stream<String> stream) → Stream<List<int>>
  Transforms the provided `stream`. [...]
  inherited
cast<RS, RT>() → Converter<RS, RT>
  Provides a `Converter<RS, RT>` view of this stream transformer. [...]
  inherited
convert(String string, [ int start = 0, int end ]) → Uint8List
  Converts the String into a list of its code units. [...]
  inherited
fuse<TT>(Converter<List<int>, TT> other) → Converter<String, TT>
  Fuses `this` with `other`. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
startChunkedConversion(Sink<List<int>> sink) → StringConversionSink
  Starts a chunked conversion. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited